## numactl 0.9

=== Makefile ===
# these can (and should) be overridden on the make command line for production
# use
CFLAGS :=  -g -Wall -O0
# these are used for the benchmarks in addition to the normal CFLAGS. 
# Normally no need to overwrite unless you find a new magic flag to make
# STREAM run faster.
BENCH_CFLAGS := -O2 -ffast-math -funroll-loops
# for compatibility with old releases
CFLAGS += ${OPT_CFLAGS}
override CFLAGS += -I.

CLEANFILES := numactl.o libnuma.o numactl numademo numademo.o distance.o \
	      memhog libnuma.so libnuma.so.1 numamon numamon.o syscall.o bitops.o \
	      memhog.o util.o stream_main.o stream_lib.o shm.o stream \
	      test/pagesize test/tshared test/mynode.o test/tshared.o mt.o \
	      test/mynode test/ftok test/prefered test/randmap \
	      .depend .depend.X test/nodemap test/distance \
		test/after test/before

SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
	test/*.c

prefix := /usr
libdir := ${prefix}$(shell if [ -d /usr/lib64 ] ; then echo "/lib64" ; else echo "/lib"  ; fi)
docdir := ${prefix}/share/doc

all: numactl libnuma.so numademo numamon memhog test/tshared stream \
     test/mynode test/pagesize test/ftok test/prefered test/randmap \
	 test/nodemap test/distance

numactl: numactl.o util.o shm.o bitops.o libnuma.so

util.o: util.c

memhog: util.o memhog.o libnuma.so

numactl.o: numactl.c

numademo: LDFLAGS += -lm
# GNU make 3.80 appends BENCH_CFLAGS twice. Bug? It's harmless though.
numademo: CFLAGS += -DHAVE_STREAM_LIB -DHAVE_MT ${BENCH_CFLAGS} 
stream_lib.o: CFLAGS += ${BENCH_CFLAGS}
mt.o: CFLAGS += ${BENCH_CFLAGS} 
mt.o: mt.c
numademo: numademo.o stream_lib.o mt.o libnuma.so

numademo.o: numademo.c libnuma.so	

numamon: numamon.o

stream: stream_lib.o stream_main.o  libnuma.so util.o
	${CC} -o stream ${CFLAGS} stream_lib.o stream_main.o util.o -L. -lnuma -lm

stream_main.o: stream_main.c

libnuma.so.1: libnuma.o syscall.o distance.o
	${CC} -shared -Wl,-soname=libnuma.so.1 -o libnuma.so.1 $^

libnuma.so: libnuma.so.1
	ln -sf libnuma.so.1 libnuma.so

libnuma.o : CFLAGS += -fPIC

distance.o : CFLAGS += -fPIC

syscall.o : CFLAGS += -fPIC

test/tshared: test/tshared.o libnuma.so

test/mynode: test/mynode.o libnuma.so

test/pagesize: test/pagesize.c libnuma.so

test/prefered: test/prefered.c libnuma.so

test/ftok: test/ftok.c libnuma.so

test/randmap: test/randmap.c libnuma.so

test/nodemap: test/nodemap.c libnuma.so

test/distance: test/distance.c libnuma.so

.PHONY: install all clean html depend

MANLINKS := \
all_nodes alloc alloc_interleaved alloc_interleaved_subset alloc_local \
alloc_onnode available bind error exit_on_error free get_interleave_mask \
get_interleave_node get_membind get_run_node_mask interleave_memory max_node \
no_nodes node_size node_to_cpus police_memory preferred run_on_node \
run_on_node_mask set_bind_policy  set_interleave_mask set_localalloc \
set_membind set_preferred set_strict setlocal_memory tonode_memory \
tonodemask_memory distance

MANPAGES := numa.3 numactl.8 mbind.2 set_mempolicy.2 get_mempolicy.2 \
	    numastat.8

install: numactl numademo.c numamon memhog libnuma.so.1 numa.h numaif.h numastat ${MANPAGES}
	cp numactl ${prefix}/bin
	cp numademo ${prefix}/bin
	cp memhog ${prefix}/bin
	cp set_mempolicy.2 ${prefix}/share/man/man2
	cp get_mempolicy.2 ${prefix}/share/man/man2
	cp mbind.2 ${prefix}/share/man/man2
	cp numactl.8 ${prefix}/share/man/man8
	cp numa.3 ${prefix}/share/man/man3
	( cd ${prefix}/share/man/man3 ; for i in ${MANLINKS} ; do ln -sf numa.3 numa_$$i.3 ; done )
	cp libnuma.so.1 ${libdir}
	cd ${libdir} ; ln -sf libnuma.so.1 libnuma.so
	cp numa.h numaif.h ${prefix}/include
	cp numastat ${prefix}/bin
	if [ -d ${docdir} ] ; then \
		mkdir -p ${docdir}/numactl/examples ; \
		cp numademo.c ${docdir}/numactl/examples ; \
	fi	

HTML := html/numactl.html html/numa.html html/mbind.html html/get_mempolicy.html html/set_mempolicy.html

clean: 
	rm -f ${CLEANFILES}
	@rm -rf html

distclean: clean
	rm -f .[^.]* */.[^.]*
	rm -f *~ */*~

html: ${HTML} 

html/numactl.html: numactl.8
	if [ ! -d html ] ; then mkdir html ; fi
	groff -Thtml -man numactl.8 > html/numactl.html

html/mbind.html: mbind.2
	if [ ! -d html ] ; then mkdir html ; fi
	groff -Thtml -man mbind.2 > html/mbind.html

html/numa.html: numa.3
	if [ ! -d html ] ; then mkdir html ; fi
	groff -Thtml -man numa.3 > html/numa.html

html/get_mempolicy.html: get_mempolicy.2
	if [ ! -d html ] ; then mkdir html ; fi
	groff -Thtml -man get_mempolicy.2 > html/get_mempolicy.html

html/set_mempolicy.html: set_mempolicy.2
	if [ ! -d html ] ; then mkdir html ; fi
	groff -Thtml -man set_mempolicy.2 > html/set_mempolicy.html

depend: .depend

.depend:
	${CC} -MM -DDEPS_RUN -I. ${SOURCES} > .depend.X && mv .depend.X .depend

include .depend

Makefile: .depend

## numactl 0.9.11

=== Makefile ===
--- 
+++ 
@@ -9,27 +9,36 @@
 CFLAGS += ${OPT_CFLAGS}
 override CFLAGS += -I.
 
+# find out if compiler supports __thread
+THREAD_SUPPORT := $(shell if $(CC) $(CFLAGS) threadtest.c -o threadtest \
+			>/dev/null 2>/dev/null ; then echo "yes" ; else echo "no"; fi)
+ifeq ($(THREAD_SUPPORT),no)
+	override CFLAGS += -D__thread=""
+endif
+
 CLEANFILES := numactl.o libnuma.o numactl numademo numademo.o distance.o \
 	      memhog libnuma.so libnuma.so.1 numamon numamon.o syscall.o bitops.o \
 	      memhog.o util.o stream_main.o stream_lib.o shm.o stream \
 	      test/pagesize test/tshared test/mynode.o test/tshared.o mt.o \
 	      test/mynode test/ftok test/prefered test/randmap \
-	      .depend .depend.X test/nodemap test/distance \
-		test/after test/before
+	      .depend .depend.X test/nodemap test/distance test/tbitmap \
+		test/after test/before threadtest migratepages
 
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
 	test/*.c
 
 prefix := /usr
-libdir := ${prefix}$(shell if [ -d /usr/lib64 ] ; then echo "/lib64" ; else echo "/lib"  ; fi)
+libdir := ${prefix}/$(shell ./getlibdir)
 docdir := ${prefix}/share/doc
 
-all: numactl libnuma.so numademo numamon memhog test/tshared stream \
+all: numactl migratepages libnuma.so numademo numamon memhog test/tshared stream \
      test/mynode test/pagesize test/ftok test/prefered test/randmap \
-	 test/nodemap test/distance
+	 test/nodemap test/distance test/tbitmap
 
 numactl: numactl.o util.o shm.o bitops.o libnuma.so
+
+migratepages: migratepages.c util.o bitops.o libnuma.so
 
 util.o: util.c
 
@@ -82,6 +91,8 @@
 
 test/distance: test/distance.c libnuma.so
 
+test/tbitmap: test/tbitmap.c libnuma.so
+
 .PHONY: install all clean html depend
 
 MANLINKS := \
@@ -93,21 +104,23 @@
 set_membind set_preferred set_strict setlocal_memory tonode_memory \
 tonodemask_memory distance
 
-MANPAGES := numa.3 numactl.8 mbind.2 set_mempolicy.2 get_mempolicy.2 \
-	    numastat.8
+MANPAGES := numa.3 numactl.8 numastat.8 migratepages.8
 
-install: numactl numademo.c numamon memhog libnuma.so.1 numa.h numaif.h numastat ${MANPAGES}
+install: numactl migratepages numademo.c numamon memhog libnuma.so.1 numa.h numaif.h numastat ${MANPAGES}
+	mkdir -p ${prefix}/bin
 	cp numactl ${prefix}/bin
+	cp migratepages ${prefix}/bin
 	cp numademo ${prefix}/bin
 	cp memhog ${prefix}/bin
-	cp set_mempolicy.2 ${prefix}/share/man/man2
-	cp get_mempolicy.2 ${prefix}/share/man/man2
-	cp mbind.2 ${prefix}/share/man/man2
+	mkdir -p ${prefix}/share/man/man2 ${prefix}/share/man/man8 ${prefix}/share/man/man3
 	cp numactl.8 ${prefix}/share/man/man8
 	cp numa.3 ${prefix}/share/man/man3
 	( cd ${prefix}/share/man/man3 ; for i in ${MANLINKS} ; do ln -sf numa.3 numa_$$i.3 ; done )
+	cp numa_maps.5 ${prefix}/share/man/man5
+	mkdir -p ${libdir}
 	cp libnuma.so.1 ${libdir}
 	cd ${libdir} ; ln -sf libnuma.so.1 libnuma.so
+	mkdir -p ${prefix}/include
 	cp numa.h numaif.h ${prefix}/include
 	cp numastat ${prefix}/bin
 	if [ -d ${docdir} ] ; then \
@@ -115,7 +128,7 @@
 		cp numademo.c ${docdir}/numactl/examples ; \
 	fi	
 
-HTML := html/numactl.html html/numa.html html/mbind.html html/get_mempolicy.html html/set_mempolicy.html
+HTML := html/numactl.html html/numa.html
 
 clean: 
 	rm -f ${CLEANFILES}
@@ -123,7 +136,7 @@
 
 distclean: clean
 	rm -f .[^.]* */.[^.]*
-	rm -f *~ */*~
+	rm -f *~ */*~ *.orig */*.orig */*.rej *.rej 
 
 html: ${HTML} 
 
@@ -131,21 +144,9 @@
 	if [ ! -d html ] ; then mkdir html ; fi
 	groff -Thtml -man numactl.8 > html/numactl.html
 
-html/mbind.html: mbind.2
-	if [ ! -d html ] ; then mkdir html ; fi
-	groff -Thtml -man mbind.2 > html/mbind.html
-
 html/numa.html: numa.3
 	if [ ! -d html ] ; then mkdir html ; fi
 	groff -Thtml -man numa.3 > html/numa.html
-
-html/get_mempolicy.html: get_mempolicy.2
-	if [ ! -d html ] ; then mkdir html ; fi
-	groff -Thtml -man get_mempolicy.2 > html/get_mempolicy.html
-
-html/set_mempolicy.html: set_mempolicy.2
-	if [ ! -d html ] ; then mkdir html ; fi
-	groff -Thtml -man set_mempolicy.2 > html/set_mempolicy.html
 
 depend: .depend
 
@@ -155,3 +156,13 @@
 include .depend
 
 Makefile: .depend
+
+.PHONY: test regress1 regress2
+
+regress1: 
+	cd test ; ./regress
+
+regress2:
+	cd test ; ./regress2
+
+test: all regress1 regress2

## numactl 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # these can (and should) be overridden on the make command line for production
 # use
-CFLAGS :=  -g -Wall -O0
+CFLAGS :=  -g -Wall -O2
 # these are used for the benchmarks in addition to the normal CFLAGS. 
 # Normally no need to overwrite unless you find a new magic flag to make
 # STREAM run faster.
@@ -140,12 +140,13 @@
 
 html: ${HTML} 
 
-html/numactl.html: numactl.8
+htmldir:
 	if [ ! -d html ] ; then mkdir html ; fi
+
+html/numactl.html: numactl.8 htmldir
 	groff -Thtml -man numactl.8 > html/numactl.html
 
-html/numa.html: numa.3
-	if [ ! -d html ] ; then mkdir html ; fi
+html/numa.html: numa.3 htmldir
 	groff -Thtml -man numa.3 > html/numa.html
 
 depend: .depend

## numactl 2.0.2

=== Makefile ===
# these can (and should) be overridden on the make command line for production
CFLAGS :=  -g -Wall -O2
# these are used for the benchmarks in addition to the normal CFLAGS. 
# Normally no need to overwrite unless you find a new magic flag to make
# STREAM run faster.
BENCH_CFLAGS := -O3 -ffast-math -funroll-loops
# for compatibility with old releases
CFLAGS += ${OPT_CFLAGS}
override CFLAGS += -I.

# find out if compiler supports __thread
THREAD_SUPPORT := $(shell if $(CC) $(CFLAGS) threadtest.c -o threadtest \
			>/dev/null 2>/dev/null ; then echo "yes" ; else echo "no"; fi)
ifeq ($(THREAD_SUPPORT),no)
	override CFLAGS += -D__thread=""
endif

# find out if compiler supports -ftree-vectorize
THREAD_SUPPORT := $(shell touch empty.c ; if $(CC) $(CFLAGS) -c -ftree-vectorize empty.c -o empty.o \
			>/dev/null 2>/dev/null ; then echo "yes" ; else echo "no"; fi)
ifeq ($(THREAD_SUPPORT),yes)
	BENCH_CFLAGS += -ftree-vectorize
endif

CLEANFILES := numactl.o libnuma.o numactl numademo numademo.o distance.o \
	      memhog libnuma.so libnuma.so.1 numamon numamon.o syscall.o bitops.o \
	      memhog.o util.o stream_main.o stream_lib.o shm.o stream clearcache.o \
	      test/pagesize test/tshared test/mynode.o test/tshared.o mt.o empty.o empty.c \
	      test/mynode test/ftok test/prefered test/randmap \
	      .depend .depend.X test/nodemap test/distance test/tbitmap \
	      test/after test/before threadtest test_move_pages \
	      test/mbind_mig_pages test/migrate_pages \
	      migratepages migspeed migspeed.o libnuma.a
SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
	clearcache.c test/*.c

prefix := /usr
libdir := ${prefix}/$(shell ./getlibdir)
docdir := ${prefix}/share/doc

all: numactl migratepages migspeed libnuma.so numademo numamon memhog \
     test/tshared stream test/mynode test/pagesize test/ftok test/prefered \
     test/randmap test/nodemap test/distance test/tbitmap test/move_pages \
     test/mbind_mig_pages test/migrate_pages libnuma.a

numactl: numactl.o util.o shm.o bitops.o libnuma.so

migratepages: migratepages.c util.o bitops.o libnuma.so

migspeed: migspeed.o util.o libnuma.so
	${CC} migspeed.c -o migspeed util.o libnuma.so -lrt

util.o: util.c

memhog: util.o memhog.o libnuma.so

numactl.o: numactl.c

numademo: override LDFLAGS += -lm
# GNU make 3.80 appends BENCH_CFLAGS twice. Bug? It's harmless though.
numademo: CFLAGS += -DHAVE_STREAM_LIB -DHAVE_MT -DHAVE_CLEAR_CACHE ${BENCH_CFLAGS}
stream_lib.o: CFLAGS += ${BENCH_CFLAGS}
mt.o: CFLAGS += ${BENCH_CFLAGS} 
mt.o: mt.c
numademo: numademo.o stream_lib.o mt.o libnuma.so clearcache.o

test_numademo: numademo
	LD_LIBRARY_PATH=$$(pwd) ./numademo -t -e 10M

numademo.o: numademo.c libnuma.so	

numamon: numamon.o

stream: stream_lib.o stream_main.o  libnuma.so util.o
	${CC} -o stream ${CFLAGS} stream_lib.o stream_main.o util.o -L. -lnuma -lm

stream_main.o: stream_main.c

libnuma.so.1: versions.ldscript

libnuma.so.1: libnuma.o syscall.o distance.o
	${CC} -shared -Wl,-soname=libnuma.so.1 -Wl,--version-script,versions.ldscript -Wl,-init,numa_init -o libnuma.so.1 $(filter-out versions.ldscript,$^)

libnuma.so: libnuma.so.1
	ln -sf libnuma.so.1 libnuma.so

libnuma.o : CFLAGS += -fPIC

libnuma.a: libnuma.o syscall.o distance.o
	ar rc $@ $^
	ranlib $@

distance.o : CFLAGS += -fPIC

syscall.o : CFLAGS += -fPIC

test/tshared: test/tshared.o libnuma.so

test/mynode: test/mynode.o libnuma.so

test/pagesize: test/pagesize.c libnuma.so

test/prefered: test/prefered.c libnuma.so

test/ftok: test/ftok.c libnuma.so

test/randmap: test/randmap.c libnuma.so

test/nodemap: test/nodemap.c libnuma.so

test/distance: test/distance.c libnuma.so

test/tbitmap: test/tbitmap.c libnuma.so

test/move_pages: test/move_pages.c libnuma.so

test/mbind_mig_pages: test/mbind_mig_pages.c libnuma.so

test/migrate_pages: test/migrate_pages.c libnuma.so

.PHONY: install all clean html depend

MANPAGES := numa.3 numactl.8 numastat.8 migratepages.8 migspeed.8

install: numactl migratepages migspeed numademo.c numamon memhog libnuma.so.1 numa.h numaif.h numacompat1.h numastat ${MANPAGES}
	mkdir -p ${prefix}/bin
	cp numactl ${prefix}/bin
	cp migratepages ${prefix}/bin
	cp migspeed ${prefix}/bin
	cp numademo ${prefix}/bin
	cp memhog ${prefix}/bin
	mkdir -p ${prefix}/share/man/man2 ${prefix}/share/man/man8 ${prefix}/share/man/man3
	cp numactl.8 ${prefix}/share/man/man8
	cp numa.3 ${prefix}/share/man/man3
	( cd ${prefix}/share/man/man3 ; for i in $$(./manlinks) ; do ln -sf numa.3 $$i.3 ; done )
	cp numa_maps.5 ${prefix}/share/man/man5
	mkdir -p ${libdir}
	cp libnuma.so.1 ${libdir}
	cd ${libdir} ; ln -sf libnuma.so.1 libnuma.so
	cp libnuma.a ${libdir}
	mkdir -p ${prefix}/include
	cp numa.h numaif.h numacompat1.h ${prefix}/include
	cp numastat ${prefix}/bin
	if [ -d ${docdir} ] ; then \
		mkdir -p ${docdir}/numactl/examples ; \
		cp numademo.c ${docdir}/numactl/examples ; \
	fi	

HTML := html/numactl.html html/numa.html

clean: 
	rm -f ${CLEANFILES}
	@rm -rf html

distclean: clean
	rm -f .[^.]* */.[^.]*
	rm -f *~ */*~ *.orig */*.orig */*.rej *.rej 

html: ${HTML} 

htmldir:
	if [ ! -d html ] ; then mkdir html ; fi

html/numactl.html: numactl.8 htmldir
	groff -Thtml -man numactl.8 > html/numactl.html

html/numa.html: numa.3 htmldir
	groff -Thtml -man numa.3 > html/numa.html

depend: .depend

.depend:
	${CC} -MM -DDEPS_RUN -I. ${SOURCES} > .depend.X && mv .depend.X .depend

include .depend

Makefile: .depend

.PHONY: test regress1 regress2

regress1: 
	cd test ; ./regress

regress2:
	cd test ; ./regress2

test: all regress1 regress2 test_numademo

## numactl 2.0.3~rc1

=== Makefile ===
--- 
+++ 
@@ -125,26 +125,26 @@
 
 install: numactl migratepages migspeed numademo.c numamon memhog libnuma.so.1 numa.h numaif.h numacompat1.h numastat ${MANPAGES}
 	mkdir -p ${prefix}/bin
-	cp numactl ${prefix}/bin
-	cp migratepages ${prefix}/bin
-	cp migspeed ${prefix}/bin
-	cp numademo ${prefix}/bin
-	cp memhog ${prefix}/bin
+	install -m 0755 numactl ${prefix}/bin
+	install -m 0755 migratepages ${prefix}/bin
+	install -m 0755 migspeed ${prefix}/bin
+	install -m 0755 numademo ${prefix}/bin
+	install -m 0755 memhog ${prefix}/bin
 	mkdir -p ${prefix}/share/man/man2 ${prefix}/share/man/man8 ${prefix}/share/man/man3
-	cp numactl.8 ${prefix}/share/man/man8
-	cp numa.3 ${prefix}/share/man/man3
+	install -m 0644 numactl.8 ${prefix}/share/man/man8
+	install -m 0644 numa.3 ${prefix}/share/man/man3
 	( cd ${prefix}/share/man/man3 ; for i in $$(./manlinks) ; do ln -sf numa.3 $$i.3 ; done )
-	cp numa_maps.5 ${prefix}/share/man/man5
+	install -m 0644 numa_maps.5 ${prefix}/share/man/man5
 	mkdir -p ${libdir}
-	cp libnuma.so.1 ${libdir}
+	install -m 0755 libnuma.so.1 ${libdir}
 	cd ${libdir} ; ln -sf libnuma.so.1 libnuma.so
-	cp libnuma.a ${libdir}
+	install -m 0644 libnuma.a ${libdir}
 	mkdir -p ${prefix}/include
-	cp numa.h numaif.h numacompat1.h ${prefix}/include
-	cp numastat ${prefix}/bin
+	install -m 0644 numa.h numaif.h numacompat1.h ${prefix}/include
+	install -m 0755 numastat ${prefix}/bin
 	if [ -d ${docdir} ] ; then \
 		mkdir -p ${docdir}/numactl/examples ; \
-		cp numademo.c ${docdir}/numactl/examples ; \
+		install -m 0644 numademo.c ${docdir}/numactl/examples ; \
 	fi	
 
 HTML := html/numactl.html html/numa.html

## numactl 2.0.3

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,8 @@
 
 migratepages: migratepages.c util.o bitops.o libnuma.so
 
+migspeed: LDLIBS += -lrt
 migspeed: migspeed.o util.o libnuma.so
-	${CC} migspeed.c -o migspeed util.o libnuma.so -lrt
 
 util.o: util.c
 
@@ -57,7 +57,7 @@
 
 numactl.o: numactl.c
 
-numademo: override LDFLAGS += -lm
+numademo: LDLIBS += -lm
 # GNU make 3.80 appends BENCH_CFLAGS twice. Bug? It's harmless though.
 numademo: CFLAGS += -DHAVE_STREAM_LIB -DHAVE_MT -DHAVE_CLEAR_CACHE ${BENCH_CFLAGS}
 stream_lib.o: CFLAGS += ${BENCH_CFLAGS}
@@ -72,24 +72,27 @@
 
 numamon: numamon.o
 
+stream: LDLIBS += -lm
 stream: stream_lib.o stream_main.o  libnuma.so util.o
-	${CC} -o stream ${CFLAGS} stream_lib.o stream_main.o util.o -L. -lnuma -lm
+	${CC} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDLIBS}
 
 stream_main.o: stream_main.c
 
 libnuma.so.1: versions.ldscript
 
 libnuma.so.1: libnuma.o syscall.o distance.o
-	${CC} -shared -Wl,-soname=libnuma.so.1 -Wl,--version-script,versions.ldscript -Wl,-init,numa_init -o libnuma.so.1 $(filter-out versions.ldscript,$^)
+	${CC} ${LDFLAGS} -shared -Wl,-soname=libnuma.so.1 -Wl,--version-script,versions.ldscript -Wl,-init,numa_init -o libnuma.so.1 $(filter-out versions.ldscript,$^)
 
 libnuma.so: libnuma.so.1
 	ln -sf libnuma.so.1 libnuma.so
 
 libnuma.o : CFLAGS += -fPIC
 
+AR ?= ar
+RANLIB ?= ranlib
 libnuma.a: libnuma.o syscall.o distance.o
-	ar rc $@ $^
-	ranlib $@
+	$(AR) rc $@ $^
+	$(RANLIB) $@
 
 distance.o : CFLAGS += -fPIC
 
@@ -134,7 +137,6 @@
 	install -m 0644 numactl.8 ${prefix}/share/man/man8
 	install -m 0644 numa.3 ${prefix}/share/man/man3
 	( cd ${prefix}/share/man/man3 ; for i in $$(./manlinks) ; do ln -sf numa.3 $$i.3 ; done )
-	install -m 0644 numa_maps.5 ${prefix}/share/man/man5
 	mkdir -p ${libdir}
 	install -m 0755 libnuma.so.1 ${libdir}
 	cd ${libdir} ; ln -sf libnuma.so.1 libnuma.so

## numactl 2.0.4~rc2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,8 @@
 	      .depend .depend.X test/nodemap test/distance test/tbitmap \
 	      test/after test/before threadtest test_move_pages \
 	      test/mbind_mig_pages test/migrate_pages \
-	      migratepages migspeed migspeed.o libnuma.a
+	      migratepages migspeed migspeed.o libnuma.a \
+	      test/move_pages
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
 	clearcache.c test/*.c

## numactl 2.0.5

=== Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 libnuma.so.1: versions.ldscript
 
 libnuma.so.1: libnuma.o syscall.o distance.o
-	${CC} ${LDFLAGS} -shared -Wl,-soname=libnuma.so.1 -Wl,--version-script,versions.ldscript -Wl,-init,numa_init -o libnuma.so.1 $(filter-out versions.ldscript,$^)
+	${CC} ${LDFLAGS} -shared -Wl,-soname=libnuma.so.1 -Wl,--version-script,versions.ldscript -Wl,-init,numa_init -Wl,-fini,numa_fini -o libnuma.so.1 $(filter-out versions.ldscript,$^)
 
 libnuma.so: libnuma.so.1
 	ln -sf libnuma.so.1 libnuma.so

## numactl 2.0.8~rc2

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	      test/after test/before threadtest test_move_pages \
 	      test/mbind_mig_pages test/migrate_pages \
 	      migratepages migspeed migspeed.o libnuma.a \
-	      test/move_pages
+	      test/move_pages test/realloc_test
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
 	clearcache.c test/*.c
@@ -43,7 +43,7 @@
 all: numactl migratepages migspeed libnuma.so numademo numamon memhog \
      test/tshared stream test/mynode test/pagesize test/ftok test/prefered \
      test/randmap test/nodemap test/distance test/tbitmap test/move_pages \
-     test/mbind_mig_pages test/migrate_pages libnuma.a
+     test/mbind_mig_pages test/migrate_pages test/realloc_test libnuma.a
 
 numactl: numactl.o util.o shm.o bitops.o libnuma.so
 
@@ -123,6 +123,8 @@
 
 test/migrate_pages: test/migrate_pages.c libnuma.so
 
+test/realloc_test: test/realloc_test.c libnuma.so
+
 .PHONY: install all clean html depend
 
 MANPAGES := numa.3 numactl.8 numastat.8 migratepages.8 migspeed.8

## numactl 2.0.8~rc3

=== Makefile ===
--- 
+++ 
@@ -31,10 +31,11 @@
 	      test/after test/before threadtest test_move_pages \
 	      test/mbind_mig_pages test/migrate_pages \
 	      migratepages migspeed migspeed.o libnuma.a \
-	      test/move_pages test/realloc_test
+	      test/move_pages test/realloc_test sysfs.o affinity.o \
+	      test/node-parse rtnetlink.o test/A
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
-	clearcache.c test/*.c
+	clearcache.c test/*.c affinity.c sysfs.c rtnetlink.c
 
 prefix := /usr
 libdir := ${prefix}/$(shell ./getlibdir)
@@ -43,7 +44,8 @@
 all: numactl migratepages migspeed libnuma.so numademo numamon memhog \
      test/tshared stream test/mynode test/pagesize test/ftok test/prefered \
      test/randmap test/nodemap test/distance test/tbitmap test/move_pages \
-     test/mbind_mig_pages test/migrate_pages test/realloc_test libnuma.a
+     test/mbind_mig_pages test/migrate_pages test/realloc_test libnuma.a \
+     test/node-parse
 
 numactl: numactl.o util.o shm.o bitops.o libnuma.so
 
@@ -81,7 +83,7 @@
 
 libnuma.so.1: versions.ldscript
 
-libnuma.so.1: libnuma.o syscall.o distance.o
+libnuma.so.1: libnuma.o syscall.o distance.o affinity.o sysfs.o rtnetlink.o
 	${CC} ${LDFLAGS} -shared -Wl,-soname=libnuma.so.1 -Wl,--version-script,versions.ldscript -Wl,-init,numa_init -Wl,-fini,numa_fini -o libnuma.so.1 $(filter-out versions.ldscript,$^)
 
 libnuma.so: libnuma.so.1
@@ -91,7 +93,7 @@
 
 AR ?= ar
 RANLIB ?= ranlib
-libnuma.a: libnuma.o syscall.o distance.o
+libnuma.a: libnuma.o syscall.o distance.o sysfs.o affinity.o rtnetlink.o
 	$(AR) rc $@ $^
 	$(RANLIB) $@
 
@@ -99,6 +101,12 @@
 
 syscall.o : CFLAGS += -fPIC
 
+affinity.o : CFLAGS += -fPIC
+
+sysfs.o : CFLAGS += -fPIC
+
+rtnetlink.o : CFLAGS += -fPIC
+
 test/tshared: test/tshared.o libnuma.so
 
 test/mynode: test/mynode.o libnuma.so
@@ -124,6 +132,8 @@
 test/migrate_pages: test/migrate_pages.c libnuma.so
 
 test/realloc_test: test/realloc_test.c libnuma.so
+
+test/node-parse: test/node-parse.c libnuma.so util.o
 
 .PHONY: install all clean html depend
 
@@ -190,4 +200,7 @@
 regress2:
 	cd test ; ./regress2
 
-test: all regress1 regress2 test_numademo
+regress3:
+	cd test ; ./regress-io
+
+test: all regress1 regress2 test_numademo regress3

## numactl 2.0.8~rc4

=== Makefile ===
--- 
+++ 
@@ -147,7 +147,10 @@
 	install -m 0755 numademo ${prefix}/bin
 	install -m 0755 memhog ${prefix}/bin
 	mkdir -p ${prefix}/share/man/man2 ${prefix}/share/man/man8 ${prefix}/share/man/man3
+	install -m 0644 migspeed.8 ${prefix}/share/man/man8
+	install -m 0644 migratepages.8 ${prefix}/share/man/man8
 	install -m 0644 numactl.8 ${prefix}/share/man/man8
+	install -m 0644 numastat.8 ${prefix}/share/man/man8
 	install -m 0644 numa.3 ${prefix}/share/man/man3
 	( cd ${prefix}/share/man/man3 ; for i in $$(./manlinks) ; do ln -sf numa.3 $$i.3 ; done )
 	mkdir -p ${libdir}

## numactl 2.0.9~rc5

=== Makefile ===
--- 
+++ 
@@ -32,12 +32,16 @@
 	      test/mbind_mig_pages test/migrate_pages \
 	      migratepages migspeed migspeed.o libnuma.a \
 	      test/move_pages test/realloc_test sysfs.o affinity.o \
-	      test/node-parse rtnetlink.o test/A
+	      test/node-parse rtnetlink.o test/A numastat
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
-	clearcache.c test/*.c affinity.c sysfs.c rtnetlink.c
-
+	clearcache.c test/*.c affinity.c sysfs.c rtnetlink.c numastat.c
+
+ifeq ($(strip $(PREFIX)),)
 prefix := /usr
+else
+prefix := $(PREFIX)
+endif
 libdir := ${prefix}/$(shell ./getlibdir)
 docdir := ${prefix}/share/doc
 
@@ -45,9 +49,11 @@
      test/tshared stream test/mynode test/pagesize test/ftok test/prefered \
      test/randmap test/nodemap test/distance test/tbitmap test/move_pages \
      test/mbind_mig_pages test/migrate_pages test/realloc_test libnuma.a \
-     test/node-parse
+     test/node-parse numastat
 
 numactl: numactl.o util.o shm.o bitops.o libnuma.so
+
+numastat: CFLAGS += -std=gnu99
 
 migratepages: migratepages.c util.o bitops.o libnuma.so
 
@@ -203,7 +209,9 @@
 regress2:
 	cd test ; ./regress2
 
-regress3:
-	cd test ; ./regress-io
-
-test: all regress1 regress2 test_numademo regress3
+# regress-io is known not to work
+# regress3:
+# 	cd test ; ./regress-io
+
+# test: all regress1 regress2 test_numademo regress3
+test: all regress1 regress2 test_numademo

## numactl 2.0.11

=== debian/changelog ===
numactl (2.0.11-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/Allow-building-on-ARM-systems.patch:
    - add __arm__ to avoid failure due to missing syscalls.
    - return -1 and set errno to ENOSYS on migrate_pages function
      if __NR_migrate_pages is undefined, thanks Uwe Kleine-König
      and Tiago Stürmer Daitx. Closes: #796802. LP: #1711478.
  * Install memhog and migspeed. Closes: #882873. Thanks Manoj Iyer.
  * debian/control: Correct project Homepage link. Closes: #894825.
  * Bump Standards-Version to 4.1.4:
    - libnuma-dev is now Priority: optional (extra is deprecated).
  * debian/patches/Add-NAME-section-to-numastat-manpage.patch: Add
    "NAME" section to manpage for proper parsing by commands like apropos
    and whatis.
  * debian/numactl.docs: The upstream changelog is already installed
    as /usr/share/doc/numactl/changelog.gz, no need to install another
    copy.

 -- dann frazier <dannf@debian.org>  Tue, 17 Apr 2018 16:11:23 -0600

numactl (2.0.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Try to build all the packages on all the linux architectures, armel and
    armhf are still not supported, but all the others should to build now.
  * Drop the -dbg package and rely on the automatically built ones (-dbgsym)
  * Switch to 3.0 (quilt) format and drop deprecated simple-patchsys patch
    system
  * Bump Standards-Version to 3.9.8 (no further changes)
  * Add .symbols file for libnuma1

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Dec 2016 19:27:02 +0100

numactl (2.0.11-2) unstable; urgency=medium

  * Fix building with no timestamps with autoconf reconfigure (Closes:
    #814952) (Nishanth Aravamudan <nish.aravamudan@canonical.com>)

 -- Ian Wienand <ianw@debian.org>  Sun, 13 Mar 2016 12:32:36 +1100

numactl (2.0.11-1) unstable; urgency=medium

  * Update to 2.0.11
  * Update copyright to point to new github upstream

 -- Ian Wienand <ianw@debian.org>  Sat, 12 Dec 2015 10:45:27 +1100

numactl (2.0.10-1) unstable; urgency=medium

  * Update to 2.0.10 final
  * Upstream now uses autoconf/make; modify rules file
    to use autotools cdbs class
  * Update standards to 3.9.6 (no changes)
  * Add hppa too (Closes: #764665)

 -- Ian Wienand <ianw@debian.org>  Wed, 22 Oct 2014 21:45:46 +1100

numactl (2.0.10~rc2-3) unstable; urgency=medium

  * Turns out that kernel headers aren't generic enough to work anywhere.
    Return arch to "i386 amd64 ia64 mips mipsel mipsn32 mipsn32el mips64
    mips64el powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc"
    (Closes: #762449)

 -- Ian Wienand <ianw@debian.org>  Sat, 27 Sep 2014 13:53:11 +1000

numactl (2.0.10~rc2-2) unstable; urgency=medium

  * Change architecture to "any".  There is no reason this can't build
    everywhere.  (Closes: #739725)

 -- Ian Wienand <ianw@debian.org>  Mon, 22 Sep 2014 09:21:33 +1000

numactl (2.0.10~rc2-1) unstable; urgency=medium

  * Upgrade to 2.0.10-rc2
  * Remove 001_no_numa.patch; fixed upstream

 -- Ian Wienand <ianw@debian.org>  Tue, 09 Sep 2014 21:33:32 +1000

numactl (2.0.9-1) unstable; urgency=low

  * Upgrade to 2.0.9
  * Upgrade standards to 3.9.5 (no change)
  * Add 001_no_numa.patch to avoid crash when no NUMA present (Closes:
    #712692)

 -- Ian Wienand <ianw@debian.org>  Sat, 21 Jun 2014 12:34:13 +1000

numactl (2.0.9~rc5-1) unstable; urgency=low

  * Upgrade to 2.0.9~rc5
  * Include multi-arch patch, thanks Eleanor Chen <chenyueg@gmail.com>!
    (Closes: #719953)
  * Various updates to multi-arch to make it compliant
  * Remove debian/*.dirs as upstream makes directories
  * Update to compat 9 so dh_strip generates debug pkg with build-id

 -- Ian Wienand <ianw@debian.org>  Thu, 19 Sep 2013 13:45:43 +1000

numactl (2.0.8-3) unstable; urgency=low

  * Add x32 & ppc64 to supported arch list (Closes: #714001)

 -- Ian Wienand <ianw@debian.org>  Wed, 26 Jun 2013 19:38:58 +1000

numactl (2.0.8-2) unstable; urgency=low

  * Add powerpcspe to support arch list (Closes: #711883)
  * Update standards version to 3.9.4 (no changes)

 -- Ian Wienand <ianw@debian.org>  Tue, 11 Jun 2013 20:54:58 +1000

numactl (2.0.8-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Thu, 15 Nov 2012 12:20:29 -0800

numactl (2.0.8~rc4-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Sun, 01 Jul 2012 00:11:37 -0700

numactl (2.0.8~rc3-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Fri, 03 Feb 2012 09:50:36 -0800

numactl (2.0.8~rc2-1) unstable; urgency=low

  * New upstream (Closes: #548030)
  * Update standards to 3.9.2
  * No patches so remove from rules

 -- Ian Wienand <ianw@debian.org>  Thu, 15 Sep 2011 20:56:50 -0700

numactl (2.0.5-1) unstable; urgency=low

  * New upstream
  * Update standards to 3.9.1
  * Update debhelper compat to 7
  * Remove libnuma1.shlibs; should be covered by -V to
    dh_makeshlibs (Closes: #570201)

 -- Ian Wienand <ianw@debian.org>  Wed, 11 Aug 2010 22:32:39 -0700

numactl (2.0.4~rc2-1) unstable; urgency=low

  * New upstream
  * Update standards version, no changes
  * Make dev & dbg packages depend on the exact binary version (Closes:
    #570201)

 -- Ian Wienand <ianw@debian.org>  Thu, 11 Feb 2010 15:20:37 -0800

numactl (2.0.3-1) unstable; urgency=low

  * New upstream
  * Upstream URL in copyright is fixed (Closes: #499425)

 -- Ian Wienand <ianw@debian.org>  Fri, 19 Jun 2009 11:18:56 -0700

numactl (2.0.3~rc3-1) unstable; urgency=low

  * New upstream (Closes: #525014)
  * Move libnuma-dbg to debug section
  * Add ${misc:Depends} deps to packages
  * Update to standards version to 3.8.1

 -- Ian Wienand <ianw@debian.org>  Thu, 30 Apr 2009 08:04:32 -0700

numactl (2.0.3~rc2-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Apr 2009 07:32:53 -0700

numactl (2.0.3~rc1-2) unstable; urgency=low

  * While I'm at it, fix up the upstream location in copyright file
    (Closes: #499425)



=== debian/control ===
Source: numactl
Section: admin
Priority: optional
Maintainer: Ian Wienand <ianw@debian.org>
Uploaders: Al Stone <ahs3@debian.org>
Standards-Version: 3.9.8
Build-Depends: cdbs,
 autotools-dev,
 dh-autoreconf,
 debhelper,
 dh-buildinfo, dh-autoreconf, debhelper (>= 9.20160114~)
Homepage: https://github.com/numactl/numactl

Package: numactl
Multi-Arch: foreign
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnuma1 (>= 2.0.1)
Description: NUMA scheduling and memory placement tool
 numactl runs processes with a specific NUMA (Non-Uniform Memory
 Architecture) scheduling or memory placement policy.  In addition it
 can set persistent policy for shared memory segments or files.

Package: libnuma1
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: linux-any
Description: Libraries for controlling NUMA policy
 Library to control specific NUMA (Non-Uniform Memory Architecture)
 scheduling or memory placement policies.

Package: libnuma-dev
Section: libdevel
Priority: optional
Multi-Arch: same
Depends: ${misc:Depends}, libnuma1 (= ${binary:Version}), libc6-dev | libc-dev
Architecture: linux-any
Description: Development files for libnuma
 Library to control specific NUMA (Non-Uniform Memory Architecture)
 scheduling or memory placement policies.  This package contains
 headers and manual pages relating to the library.

## numactl 2.0.12

=== debian/changelog ===
numactl (2.0.12-1) unstable; urgency=medium

  * Update to 2.0.12
  * Update debian/watch file to github
  * Import into salsa.debian.org; add Vcs links to control
  * debian/patches/Allow-building-on-ARM-system.patch:
     - included upstream
  * debian/patches/Add-NAME-section-to-numastat-manpage.patch:
     - included upstream
  * debian/patches/README: remove as better tracked by git commits
    now
  * debian/control.in : remove; just use plain control file as it is out
    of sync.

 -- Ian Wienand <ianw@debian.org>  Sat, 08 Sep 2018 12:51:50 +1000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
  debhelper,
  dh-buildinfo, dh-autoreconf, debhelper (>= 9.20160114~)
 Homepage: https://github.com/numactl/numactl
+Vcs-Browser: https://salsa.debian.org/debian/numactl
+Vcs-Git: https://salsa.debian.org/debian/numactl.git
 
 Package: numactl
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_DH_STRIP_ARGS_ALL=--dbgsym-migration='libnuma-dbg (<< 2.0.11-2.1~)'

## numactl 2.0.14

=== debian/changelog ===
numactl (2.0.14-3ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:21:32 +0100

numactl (2.0.14-3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946879). Remaining changes:
    - New patch d/p/link-libatomic.diff: Link with -latomic
      to fix ftbfs on riscv64.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 29 Oct 2021 13:49:46 +0200

numactl (2.0.14-3) unstable; urgency=medium

  * Only install numa.3 in -dev package (Closes: #994821)

 -- Ian Wienand <ianw@debian.org>  Wed, 22 Sep 2021 10:54:16 +1000

numactl (2.0.14-2) unstable; urgency=medium

  * Fix build depends for cdbs removal
  * Don't include move_pages (Closes: #994832)

 -- Ian Wienand <ianw@debian.org>  Wed, 22 Sep 2021 05:08:17 +1000

numactl (2.0.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

  [ Ian Wienand ]
  * New upstream version 2.0.14
  * Update compat to 13
  * Update standards version
  * Switch packaging to debhelper (Closes: #950534, #991847, #849009, #895960)

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Sep 2021 15:42:03 +1000

numactl (2.0.14-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:45 +0200

numactl (2.0.14-0ubuntu2) hirsute; urgency=medium

  * Link with -latomic to fix ftbfs on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 11:40:09 +0100

numactl (2.0.14-0ubuntu1) hirsute; urgency=medium

  * New upstream version, ready for lto builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 11:07:18 +0100

numactl (2.0.12-1build1) groovy; urgency=medium

  * No change rebuild to gain CET protection

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Jun 2020 19:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: numactl
 Section: admin
 Priority: optional
-Maintainer: Ian Wienand <ianw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: cdbs,
- autotools-dev,
- dh-autoreconf,
- debhelper,
- dh-buildinfo, dh-autoreconf, debhelper (>= 9.20160114~)
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 13)
 Homepage: https://github.com/numactl/numactl
 Vcs-Browser: https://salsa.debian.org/debian/numactl
 Vcs-Git: https://salsa.debian.org/debian/numactl.git
@@ -24,7 +21,6 @@
 
 Package: libnuma1
 Section: libs
-Priority: optional
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -35,7 +31,6 @@
 
 Package: libnuma-dev
 Section: libdevel
-Priority: optional
 Multi-Arch: same
 Depends: ${misc:Depends}, libnuma1 (= ${binary:Version}), libc6-dev | libc-dev
 Architecture: linux-any

## numactl 2.0.15

=== debian/changelog ===
numactl (2.0.15-1) unstable; urgency=medium

  * New upstream version 2.0.15
  * Update symbols for 2.0.15

 -- Ian Wienand <ianw@debian.org>  Thu, 08 Sep 2022 13:48:33 +1000

## numactl 2.0.16

=== debian/changelog ===
numactl (2.0.16-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + numactl: Drop versioned constraint on libnuma1 in Depends.

  [ Ian Wienand ]
  * New upstream version 2.0.16

 -- Ian Wienand <ianw@debian.org>  Tue, 27 Dec 2022 10:30:33 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: numactl
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
+Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Standards-Version: 4.5.1
-Build-Depends: debhelper (>= 13)
+Build-Depends: debhelper-compat (= 13)
 Homepage: https://github.com/numactl/numactl
 Vcs-Browser: https://salsa.debian.org/debian/numactl
 Vcs-Git: https://salsa.debian.org/debian/numactl.git
@@ -13,7 +12,7 @@
 Package: numactl
 Multi-Arch: foreign
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnuma1 (>= 2.0.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnuma1
 Description: NUMA scheduling and memory placement tool
  numactl runs processes with a specific NUMA (Non-Uniform Memory
  Architecture) scheduling or memory placement policy.  In addition it

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/numactl-$1\.tar\.gz/ \
  https://github.com/numactl/numactl/tags .*/v?(\d\S+)\.tar\.gz

## numactl 2.0.18

=== debian/changelog ===
numactl (2.0.18-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:14:45 +0200

numactl (2.0.18-1) unstable; urgency=medium

  * New upstream version 2.0.18 (Closes: #1063402)
  * Update symbols for upstream 5b790bdaae6b733759399908e9ccf1f2677a0443
  * Remove man page macro fix

 -- Ian Wienand <ianw@debian.org>  Thu, 08 Feb 2024 08:46:18 +1100

numactl (2.0.17-2) unstable; urgency=medium

  * debian/patches/series : add trailing newline (lintian)

 -- Ian Wienand <ianw@debian.org>  Tue, 06 Feb 2024 21:17:09 +1100

numactl (2.0.17-1) unstable; urgency=medium

  * New upstream version 2.0.17
  * Remove debian release from symbols
  * Fix man page lintian warnings

 -- Ian Wienand <ianw@debian.org>  Tue, 06 Feb 2024 19:56:47 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: numactl
 Section: admin
 Priority: optional
-Maintainer: Ian Wienand <ianw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13)

## numactl 2.0.19

=== debian/changelog ===
numactl (2.0.19-1) unstable; urgency=medium

  * New upstream version 2.0.19

 -- Ian Wienand <ianw@debian.org>  Wed, 23 Apr 2025 08:40:12 +1000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: numactl
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
-Uploaders: Al Stone <ahs3@debian.org>
+Maintainer: Ian Wienand <ianw@debian.org>
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13)
 Homepage: https://github.com/numactl/numactl

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	echo "Skipping as can not run on non-NUMA"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
